## pidgin-gnome-keyring 2.0

=== Makefile ===
TARGET = gnome-keyring

SECRETFLAGS = `pkg-config --libs --cflags libsecret-1`
PURPLEFLAGS = `pkg-config --cflags purple`
VERSION = $(shell cat VERSION)
ifeq ($(strip $(VERSION)),)
	VERSION = `git describe --tags`
endif

all: ${TARGET}.so

clean: 
	rm -f ${TARGET}.so ${TARGET}_*.tar.gz pidgin-${TARGET}_*.* *.pyc
	rm -rf pidgin-${TARGET}-*

${TARGET}.so: ${TARGET}.c

	${CC} ${CFLAGS} ${LDFLAGS} -Wall -I. -g -O2 ${TARGET}.c -o ${TARGET}.so -shared -fPIC -DPIC -ggdb ${PURPLEFLAGS} ${SECRETFLAGS} -DVERSION=\"${VERSION}\"

install: ${TARGET}.so
	mkdir -p ${DESTDIR}/usr/lib/purple-2/
	cp ${TARGET}.so ${DESTDIR}/usr/lib/purple-2/

install_local: ${TARGET}.so
	mkdir -p ~/.purple/plugins
	cp ${TARGET}.so ~/.purple/plugins/

=== debian/changelog ===
pidgin-gnome-keyring (2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Drop transition for old debug package migration.
  * Update standards version to 4.1.5, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Luca Boccassi ]
  * Fix d/watch
  * Switch to pkgconf
  * Bump Standards-Version to 4.6.2, no changes
  * Set Rules-Requires-Root: no

  [ Matthias Klose ]
  * Don't hard-code dependency on a shared library (Closes: #1068420)

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Apr 2024 01:35:23 +0100

pidgin-gnome-keyring (2.0-2) unstable; urgency=medium

  * Switch to my @debian.org address.
  * Remove Thomas Bechtold from Uploaders as requested.
    Thank you for your sponsorship! (Closes: #892687)
  * Remove pidgin-gnome-keyring-dbg in favour of -dbgsym
  * Switch to debhelper 11
  * Use HTTPS URL in d/copyright
  * Annotate package as Multi-Arch: no
  * Add Enhances: pidgin
  * Remove hard-coded dependencies
  * Migrate to Salsa
  * Bump Standards-Version to 4.1.4

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Apr 2018 16:11:45 +0100

pidgin-gnome-keyring (2.0-1) unstable; urgency=low

  * Initial release (Closes: #714018)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 06 Feb 2015 22:02:05 +0000

=== debian/control ===
Source: pidgin-gnome-keyring
Section: net
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, libsecret-1-dev, libpurple-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/aebrahim/pidgin-gnome-keyring
Vcs-Git: https://salsa.debian.org/debian/pidgin-gnome-keyring.git
Vcs-Browser: https://salsa.debian.org/debian/pidgin-gnome-keyring

Package: pidgin-gnome-keyring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends},
Multi-Arch: no
Enhances: pidgin
Description: integrates pidgin (and libpurple) with the system keyring
 Pidgin usually stores passwords as plaintext with the "save password"
 function. This plugin instead saves all passwords to the system keyring,
 which some would argue is a more secure form of password storage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libpurple-dev \
			| sed -E 's/.*(libpurple[[:alnum:].-]+).*/\1/')

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pidgin-gnome-keyring-$1\.tar\.gz/ \
  https://github.com/aebrahim/pidgin-gnome-keyring/tags .*/v?(\d\S*)\.tar\.gz
